Subject: [bug#49671] [PATCH v3] guix: records: Improve error reporting.

From: Julien Lepiller <[email-masked]>
Date: Sun, 17 Jul 2022 08:23:39 +0200

Hi Guix!

A few months have passed without comment. I don't feel confident enough
to change Guix internals without comments.

What are your thoughts on this?

Le Mon, 22 Nov 2021 03:40:22 +0100,
Julien Lepiller <[email-masked]> a écrit :

> Here is another improvement compared to v2. This time there are two
> patches: the first adds support for &syntax in (guix ui), and will
> print something like
> 
> in form: <pretty-printed-form>
> 
> where "in form" is in green.
> 
> The second patch is very similar to v2, but will now also raise a
> &syntax condition, so it can be pretty-printed. The previous issue
> where I printed #<syntax ...> is fixed, I simply forgot a
> syntax->datum.
> 
> WDYT?